LegacyPresageCallback Class Reference

`#include <presageCallback.h>`

Inheritance diagram for LegacyPresageCallback:
Collaboration diagram for LegacyPresageCallback:

## Public Member Functions

| LegacyPresageCallback ()
| ~LegacyPresageCallback ()
std::string | get_past_stream () const
std::string | get_future_stream () const
void | update (std::string str)
Public Member Functions inherited from PresageCallback
virtual | ~PresageCallback ()

## Private Member Functions

void | update (int character)

## Private Attributes

std::string | m_stream
const std::string | m_empty

## Additional Inherited Members

Protected Member Functions inherited from PresageCallback
| PresageCallback ()

## Detailed Description

DEPRECATED: simple context callback implementation to ease transition into presage callback refactor.

This concrete callback object provides an update() method signature that matches legacy Presage::update(std::string) method and is designed to provide a simple upgrade path from previous presage releases.

Simply create a LegacyPresageCallback object, pass it as argument to the new Presage object, and then replace all calls to Presage::update(std::string) with a LegacyPresageCallback::update(std::string) calls.

WARNING: This class is deprecated and might be removed in future releases.

Definition at line 94 of file presageCallback.h.

## Constructor & Destructor Documentation

## LegacyPresageCallback()

LegacyPresageCallback::LegacyPresageCallback | ( |  | ) |

inline

Definition at line 96 of file presageCallback.h.

## ~LegacyPresageCallback()

LegacyPresageCallback::~LegacyPresageCallback | ( |  | ) |

inline

Definition at line 97 of file presageCallback.h.

## Member Function Documentation

## get_future_stream()

std::string LegacyPresageCallback::get_future_stream | ( |  | ) | const

inline virtual

Implements PresageCallback.

Definition at line 100 of file presageCallback.h.

## get_past_stream()

std::string LegacyPresageCallback::get_past_stream | ( |  | ) | const

inline virtual

Implements PresageCallback.

Definition at line 99 of file presageCallback.h.

## update() [1/2]

void LegacyPresageCallback::update | ( | std::string | str | ) |

inline

Definition at line 102 of file presageCallback.h.

References update().

Referenced by main(), and update().

Here is the call graph for this function:
Here is the caller graph for this function:

## update() [2/2]

void LegacyPresageCallback::update | ( | int | character | ) |

inline private

Definition at line 105 of file presageCallback.h.

## Member Data Documentation

## m_empty

const std::string LegacyPresageCallback::m_empty

private

Definition at line 115 of file presageCallback.h.

## m_stream

std::string LegacyPresageCallback::m_stream

private

Definition at line 114 of file presageCallback.h.

The documentation for this class was generated from the following file:

- /build/presage-1beMKb/presage-0.9.1/src/lib/presageCallback.h